#ifndef AIDGE_UTILS_SYS_INFO_OPENCV_VERSION_INFO_H
#define AIDGE_UTILS_SYS_INFO_OPENCV_VERSION_INFO_H

#include "aidge/utils/Log.hpp"
#include "aidge/quantization_version.h"

namespace Aidge {

constexpr inline const char * getQuantizationProjectVersion(){
    return PROJECT_VERSION;
}

constexpr inline const char * getQuantizationGitHash(){
    return PROJECT_GIT_HASH;
}

void showQuantizationVersion() {
    Log::info("Aidge quantization: {} ({}), {} {}", getQuantizationProjectVersion(), getQuantizationGitHash(), __DATE__, __TIME__);
        // Compiler version
    #if defined(__clang__)
    /* Clang/LLVM. ---------------------------------------------- */
        Log::info("Clang/LLVM compiler version: {}.{}.{}\n", __clang_major__ , __clang_minor__, __clang_patchlevel__);
    #elif defined(__ICC) || defined(__INTEL_COMPILER)
    /* Intel ICC/ICPC. ------------------------------------------ */
        Log::info("Intel ICC/ICPC compiler version: {}\n", __INTEL_COMPILER);
    #elif defined(__GNUC__) || defined(__GNUG__)
    /* GNU GCC/G++. --------------------------------------------- */
        Log::info("GNU GCC/G++ compiler version: {}.{}.{}", __GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__);
    #elif defined(_MSC_VER)
    /* Microsoft Visual Studio. --------------------------------- */
        Log::info("Microsoft Visual Studio compiler version: {}\n", _MSC_VER);
    #else
        Log::info("Unknown compiler\n");
    #endif

}
}  // namespace Aidge
#endif  // AIDGE_UTILS_SYS_INFO_OPENCV_VERSION_INFO_H
